Subject: Re: gcc linking problem - badly installed?
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 19 Aug 2001 16:42:08 -0400

On Sun, Aug 19, 2001 at 11:14:25AM +0200, Astrid Burghard wrote:
>Tim Prince wrote:
>> The gcc and g77 commands invoke the correct link and library
>> specifications, if properly installed.  There is no way that the
>> ld command by itself will know what to do. crt0.o appears in /lib
>> in my installation.
>
>Thanks for your answer.
>
>I found crt0.o in /Progs/Cygwin/usr/lib and I guess,
>my gcc doesn't find it.  I found in gcc.info-21, node
>drivers, that a macro named STANDARD_STARTFILE_PREFIX
>should tell gcc, where to look for crt0.o.  But compi-
>lation of
>
>#define STANDARD_PREFIX "/Progs/Cygwin/usr/lib"
>#include <stdio.h>
>main() { printf( "%s\n", "Hello world!" ); }
>
>gave the known error message:
>
>/PROGS/CYGWIN/USR/BIN/ld: cannot open crt0.o: No such file or directory
>collect2: ld returned 1 exit status
>
>How to tell gcc where to search for the startfiles?

You probably unset whatever environment variables you have set which are confusing
gcc.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/